summaryrefslogtreecommitdiff
path: root/tests/touch/empty-file
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1999-05-07 18:48:45 +0000
committerJim Meyering <jim@meyering.net>1999-05-07 18:48:45 +0000
commit8e03e30c057c2e63ad1a6469ffe6e5088b40bbe5 (patch)
treee23781565d642a78f94f322a62be1eb1d886354a /tests/touch/empty-file
parent0ef3c5d7fc84df2c93b97d335ee0742baaff60b1 (diff)
downloadcoreutils-8e03e30c057c2e63ad1a6469ffe6e5088b40bbe5.tar.xz
clean up
Diffstat (limited to 'tests/touch/empty-file')
-rwxr-xr-xtests/touch/empty-file17
1 files changed, 7 insertions, 10 deletions
diff --git a/tests/touch/empty-file b/tests/touch/empty-file
index 3089ce4de..f6a8f1cf1 100755
--- a/tests/touch/empty-file
+++ b/tests/touch/empty-file
@@ -4,12 +4,9 @@
# fails to work on SunOS 4.1.3 with `most of the recommended patches' when
# the empty file is on an NFS-mounted 4.2 volume.
-: ${RM=rm}
-: ${TOUCH=touch}
-
if test "$VERBOSE" = yes; then
set -x
- $TOUCH --version
+ touch --version
fi
DEFAULT_SLEEP_SECONDS=2
@@ -25,7 +22,7 @@ fail=0
framework_failure=0
for d in $TOUCH_DIR_LIST; do
- $RM -rf $d/a $d/b
+ rm -rf $d/a $d/b
> $d/a || framework_failure=1
test -f $d/a || framework_failure=1
> $d/b || framework_failure=1
@@ -39,18 +36,18 @@ fi
sleep $SLEEP_SECONDS
for d in $TOUCH_DIR_LIST; do
- $TOUCH $d/a || fail=1
- set x `$LS -t $d/a $d/b`
+ touch $d/a || fail=1
+ set x `ls -t $d/a $d/b`
test "$*" = "x $d/a $d/b" || fail=1
done
sleep $SLEEP_SECONDS
for d in $TOUCH_DIR_LIST; do
- $TOUCH $d/b
- set x `$LS -t $d/a $d/b`
+ touch $d/b
+ set x `ls -t $d/a $d/b`
test "$*" = "x $d/b $d/a" || fail=1
- $RM -rf $d/a $d/b
+ rm -rf $d/a $d/b
done
if test $fail != 0; then